const Service = require('node-windows').Service;

// Crea un nuevo objeto de servicio
const svc = new Service({
  name: 'proxyBanksTest',
  description: 'Redireccionamiento para visor 360',
  script: 'C:\\Users\\Triada\\Desktop\\proxy\\serverVisor.js' // Ruta al archivo JavaScript
});

// Escucha los eventos de instalación
svc.on('install', function () {
  svc.start(); // Inicia el servicio después de la instalación
});

// Instala el servicio
svc.install();